/********************************
 * Capteur pyroelectrique
 *******************************/

// Importer la possibilite du Midi
import rwmidi.*;
MidiInput input;

// Variables
int compteur;
int onebang;

void setup() {
  size(128, 320);

  // Affichage des peripheriques Midi disponibles sur l'ordinateur
  // Display Midi devices
  println("........Peripheriques Midi In........");
  println(RWMidi.getInputDevices());
  // Choisir le numero du peripherique Midi, ici [1], dans la liste
  // Choose the right Midi device, for example [1]
  input = RWMidi.getInputDevices()[1].createInput(this);

  compteur = 140;
  onebang = 1;
}

// Reception des capteurs analogiques
// Receiving analog sensors data
int[] valeur = new int[4];
// Ce sketch est directement compatibles avec les cartes 1-Ana, 2-Ana et ZIP.
// This sketch is directly compatible with 1-Ana, 2-Ana and ZIP cards.
int numero;

void controllerChangeReceived(Controller ctlchg) {
  numero = ctlchg.getCC();
  if ((numero<4)&&(numero>=0)) {
    valeur[numero] = ctlchg.getValue();
    println("Capteur n°" + (numero+1) + " " + valeur[numero]);
  }
}

void draw() {
  // Double seuil
  // Capteur au repos entre 59 et 66
  if (onebang==1) {
    if ((valeur[0]>66) || (valeur[0]<59)) {
      compteur = 0;
      onebang = 0;
    }
  }
  else 
  { 
    compteur = (compteur + 1);
    if (compteur==140) {
      onebang=1;
    }
  }

  if (compteur == 0) {
    println("Declencher maintenant un effet interessant");
  }
}
